<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for selectedEndUser StructType
 * @subpackage Structs
 */
class SelectedEndUser extends AbstractStructBase
{
    /**
     * The endUserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var XFkType
     */
    public $endUserName;
    /**
     * The content
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var XContent
     */
    public $content;
    /**
     * Constructor method for selectedEndUser
     * @uses SelectedEndUser::setEndUserName()
     * @uses SelectedEndUser::setContent()
     * @param XFkType $endUserName
     * @param XContent $content
     */
    public function __construct(XFkType $endUserName = null, XContent $content = null)
    {
        $this
            ->setEndUserName($endUserName)
            ->setContent($content);
    }
    /**
     * Get endUserName value
     * @return XFkType|null
     */
    public function getEndUserName()
    {
        return $this->endUserName;
    }
    /**
     * Set endUserName value
     * @param XFkType $endUserName
     * @return SelectedEndUser
     */
    public function setEndUserName(XFkType $endUserName = null)
    {
        $this->endUserName = $endUserName;
        return $this;
    }
    /**
     * Get content value
     * @return XContent|null
     */
    public function getContent()
    {
        return $this->content;
    }
    /**
     * Set content value
     * @param XContent $content
     * @return SelectedEndUser
     */
    public function setContent(XContent $content = null)
    {
        $this->content = $content;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return SelectedEndUser
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
